:host {
    display: flex;
    align-items: center;
}

span {
    color: #ccc;

    &.active {
        color: #000;
    }
}

.switch {
    position: relative;
    display: inline-block;
    width: 4rem;
    height: 2rem;
    margin: 2rem 1rem;
}

.switch input {
    opacity: 0;
    width: 0;
    height: 0;
}

.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: 0.4s;
    transition: 0.4s;
}

.slider:before {
    position: absolute;
    content: "";
    height: 1.5rem;
    width: 1.5rem;
    left: 0.25rem;
    bottom: 0.25rem;
    background-color: white;
    -webkit-transition: 0.4s;
    transition: 0.4s;
}

input:checked + .slider {
    background-color: var(--vil-primary);
}

input:focus + .slider {
    box-shadow: 0 0 1px var(--vil-primary);
}

input:checked + .slider:before {
    transform: translateX(1.875rem);
}

/* Rounded sliders */
.slider.round {
    border-radius: 2rem;
}

.slider.round:before {
    border-radius: 50%;
}
